# ===========================================================================
#   http://www.gnu.org/software/autoconf-archive/ax_cxx_gnucxx_hashset.html
# ===========================================================================
#
# SYNOPSIS
#
#   AX_CXX_GNUCXX_HASHSET
#
# DESCRIPTION
#
#   Test for the presence of GCC's hashset STL extension.
#
# LICENSE
#
#   Copyright (c) 2008 Patrick Mauritz <oxygene@studentenbude.ath.cx>
#
#   Copying and distribution of this file, with or without modification, are
#   permitted in any medium without royalty provided the copyright notice
#   and this notice are preserved. This file is offered as-is, without any
#   warranty.

#serial 6

AU_ALIAS([AC_CXX_GNUCXX_HASHSET], [AX_CXX_GNUCXX_HASHSET])
AC_DEFUN([AX_CXX_GNUCXX_HASHSET],[
AC_CACHE_CHECK(whether the compiler supports __gnu_cxx::hash_set,
ax_cv_cxx_gnucxx_hashset,
[AC_LANG_SAVE
 AC_LANG_CPLUSPLUS
 AC_TRY_COMPILE([#include <ext/hash_set>
using __gnu_cxx::hash_set;],
 [],
 ax_cv_cxx_gnucxx_hashset=yes, ax_cv_cxx_gnucxx_hashset=no)
 AC_LANG_RESTORE
])
if test "$ax_cv_cxx_gnucxx_hashset" = yes; then
  AC_DEFINE(HAVE_GNUCXX_HASHSET,,[define if the compiler supports __gnu_cxx::hash_set])
fi
])
